from machine import Pin, ADC
from time import sleep_ms
import math
mq3A0 = ADC(Pin(36)) # Emprarem ADC "analog to digital conversion" al pin 36
mq3A0.atten(ADC.ATTN_11DB)  # Voltatge max: 3.3v llavors eixida sera 4095
RL=200000 # Ohms
i=1 # valor inicial de i

while i>0: # Bucle infinit   
      valor_mq3 = mq3A0.read() # llegim mq3A0.read() i ho guardem en la variable valor_mq3
      voltatge=valor_mq3*(3.3/4095)
      Rs=RL*((3.3-voltatge)/voltatge)
      R0=70416.6 # Ohms
      base= Rs/R0
      a= 0.390404448077997
      b=-1.52279292453727
      alcohol = a* math.pow(base,b) # mg/L d'alcohol
      print("iteracio=", i) # Missatge amb la iteracio num = i  
      print("valor_mq3=",valor_mq3) # Imprimim el valor de la variable
      print("voltatge=",voltatge) # Imprimim el valor de la variable
      print("alcohol= ",alcohol, " mg/L") # Imprimim el valor de la variable
      print("   ") # Linia en blanc
      sleep_ms(100) # Parem el temps
      i+=1 # i=i+1 Augmentem el valor de i amb 1 unitat
      
